import request from '@/utils/request';

// 获取前处理页面当前数据
export function getCurrentReport() {
    return request({
        url: '/Report/current',
        method: 'get'
    });
}

// 获取前处理页面历史数据
export function getHistoryReport(inputTime) {
    return request({
        url: `/Report/history?inputTime=${inputTime}`,
        method: 'get'
    });
}

// 获取前处理页面甘特图数据
export function getGanttData(deviceId, inputTime) {
    return request({
        url: `/State?deviceId=${deviceId}&inputTime=${inputTime}`,
        method: 'get'
    });
}

// 获取停机原因列表
export function getStopReason() {
    return request({
        url: '/State/stop-reason',
        method: 'get'
    });
}

// 停机原因维护
export function setStopReason(data) {
    return request({
        url: '/State/stop-reason',
        method: 'post',
        data
    });
}