import request from '@/utils/request';

// 获取点检页面当前值
export function getInspectionCurrent(deviceId, inputTime) {
    return request({
        url: `/Check/currunt?deviceId=${deviceId}&inputTime=${inputTime}`,
        method: 'get'
    });
}

// 获取点检页面整点数值
export function getInspectionData(deviceId, inputTime, shift) {
    return request({
        url: `/Check/sharp?deviceId=${deviceId}&inputTime=${inputTime}&shift=${shift}`,
        method: 'get'
    });
}

// 获取点检页面参数
export function getCheckParas(deviceId, inputTime) {
    return request({
        url: `/Check/CheckParas?deviceTypeId=${deviceId}&inputTime=${inputTime}`,
        method: 'get'
    });
}

// 获取设备列表
export function getDeviceList() {
    return request({
        url: '/Check/deviceList',
        method: 'get'
    });
}

// 导出excel
export function exportExcel(deviceId, inputTime, shift) {
    return request({
        url: `/Check/Export/Juice?deviceTypeId=${deviceId}&inputTime=${inputTime}&shift=${shift}`,
        method: 'get',
        responseType: 'arraybuffer'  // 关键：设置响应类型为 arraybuffer
    });
}